Subject: Re: bug#2830: 23.0.91; Private use area

From: Kenichi Handa <[email-masked]>
Date: Wed, 01 Apr 2009 10:44:16 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > Because these characters are from the Private Use Area, Emacs cannot assume
> > that just because a font has glyphs at those code points that they are the
> > right glyphs. You will need to explicitly tell Emacs that you want to use
> > Code2000 to represent the PUA range:

> > (set-fontset-font t '(#xe000 . #xf8ff) (font-spec :family "Code2000"))

> It would probably make sense to just "use the default font" for any PUA
> chars supported by that font.  It's not strictly correct, but in the
> absence of any additional info, it seems like a good heuristic.

I agree.  I'll modify the setting of the default fontset to
do that.

---
Kenichi Handa
[email-masked]